# -*- mode: ruby -*-
# vi: set ft=ruby :

VAGRANTFILE_API_VERSION = "2"
BOX="centos/7"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
  config.vm.box = BOX

  if Vagrant.has_plugin?("vagrant-hosts")
    config.vm.provision :hosts do |provisioner|
      provisioner.add_localhost_hostnames = false
      provisioner.autoconfigure = true
      provisioner.sync_hosts = true
      provisioner.add_host '192.168.60.120', ['zabbix.vm.domain.lab']
    end
  end

    # Zabbix Server
    config.vm.define "zabbix" do |centos7|
    centos7.vm.hostname = "zabbix.vm.domain.lab"
    centos7.vm.box = BOX
	  centos7.vm.network "forwarded_port", guest: 80, host: 8088,  auto_correct: true
    centos7.vm.network "forwarded_port", guest: 3000, host: 8030,  auto_correct: true
    centos7.vm.network "private_network", ip: '192.168.60.120', virtualbox__intnet: "vm.domain.lab"
    centos7.vm.provider "virtualbox" do |vb|
      vb.customize [ "modifyvm", :id, "--cpus", "1" ]
      vb.customize [ "modifyvm", :id, "--memory", "1024" ]
    end
    centos7.vm.provision "ansible_local" do |ansible|
      ansible.playbook = "playbook/zabbix-server.yml"
      ansible.inventory_path = "playbook/inventory"
	    ansible.limit = "all"
    end
    end
end

